## therion 0.3.9-2

=== Makefile ===
# common therion objects
CMNOBJECTS = thdate.o \
  thexception.o thbuffer.o thmbuffer.o thlogfile.o thtmpdir.o thlocale.o \
  thparse.o thcmdline.o thconfig.o thinput.o thchenc.o thdatabase.o \
  thdataobject.o thdatareader.o thsurvey.o thendsurvey.o thdata.o \
  thperson.o thtf.o thtfangle.o thtflength.o thtfpwf.o \
  thdataleg.o thobjectname.o thinfnan.o thlayout.o \
  thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
  thobjectsrc.o thgrade.o thlibrary.o \
  thexport.o thexporter.o thselector.o extern/img.o \
  thexpmodel.o thdb2d00.o thscrapis.o \
  thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
  thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
  thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
  thpoint.o thline.o tharea.o \
  thjoin.o thmap.o thexpmap.o thlayoutln.o \
  thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
  thsymbolset.o thlang.o thmapstat.o thexpdb.o \
  extern/lxMath.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
  therion.o

# PLATFORM CONFIG

# PLATFORM LINUX
CXX = g++
CC = gcc
POBJECTS =
CXXPFLAGS = -DTHLINUX
CCPFLAGS = -DTHLINUX
LDPFLAGS = -s
THPLATFORM = LINUX
THXTHMKCMD = ./therion

# PLATFORM WIN32
##CXX = c++
##CC = gcc
##POBJECTS = extern/getopt.o extern/getopt1.o therion.res
##CXXPFLAGS = -DTHWIN32
##CCPFLAGS = -DTHWIN32
##LDPFLAGS = -s
##THPLATFORM = WIN32
##THXTHMKCMD = therion

# PLATFORM MACOSX
##CXX = c++
##CC = cc
##POBJECTS = extern/getopt.o extern/getopt1.o
##CXXPFLAGS = -DTHMACOSX
##CCPFLAGS = -DTHMACOSX
##LDPFLAGS =
##THPLATFORM = MACOSX
##THXTHMKCMD = ./therion

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(LDPFLAGS)

# BUILD OXYGEN
##CCBFLAGS = -O2
##CXXBFLAGS = -O2
##LDBFLAGS = $(LDPFLAGS)

# BUILD RELEASE
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))          
CCBFLAGS = -O0          
CXXBFLAGS = -O0          
LDBFLAGS =          
else          
CCBFLAGS =          
CXXBFLAGS =          
LDBFLAGS =          
endif    

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DTHDEBUG
##LDBFLAGS = 

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -Wall $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)

# linker settings
LIBS =
LDFLAGS = $(LDBFLAGS)


.SUFFIXES:
.SUFFIXES: .cxx .o .h .c

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: therion xtherion/xtherion doc

therion:	$(OBJECTS)
	$(CXX) -Wall -o therion $(OBJECTS) $(LDFLAGS) $(LIBS) 


therion.res: therion.rc
	windres -i therion.rc -I rc -o therion.res -O coff

init:
	./therion --print-init-file > therion.ini

install: all
	perl makeinstall.pl $(THPLATFORM)


release:
	perl makerelease.pl

archive: clean
	perl makearchive.pl

release-archive: clean
	perl makearchive2.pl

binary: all doc
	perl makebinary.pl $(THPLATFORM)
  
depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -MM $(CXXFLAGS) *.cxx >> Makefile

library:
	$(THXTHMKCMD) --print-library-src thlibrarydata.thcfg > thlibrarydata.log
	$(THXTHMKCMD) --print-xtherion-src > xtherion/therion.tcl
	perl makelibrary.pl thlibrarydata.log > thlibrarydata.tmp
	perl maketest.pl thlibrarydata.tmp
	perl makefile.pl mv thlibrarydata.tmp thlibrarydata.cxx


xtherion/xtherion: xtherion/*.tcl
	make -C ./xtherion

doc: thbook/thbook.pdf

thbook/thbook.pdf: thbook/*.tex
	make -C ./thbook
  
clean:
	make -C ./xtherion clean
	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~
	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
	perl makefile.pl rm -q extern/*.o extern/*~
	perl makefile.pl rm -q tri/*.o tri/*~
	perl makefile.pl rm -q tests/*~
	perl makefile.pl rm -q tex/*~
	perl makefile.pl rm -q mpost/*~
	perl makefile.pl rm -q core
	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
	perl makefile.pl rm -q cave.3d cave.thm cave.pdf cave.sql cave.svg therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg
	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
	perl makefile.pl rm -q ./thtom/linux/Tom0.2/*.so ./thtom/linux/Tom0.2/*.o ./thtom/linux/Tom0.2/tom ./thtom/linux/Tom0.2/stom
	perl makefile.pl rm -q ./thtom/win/Tom0.2/*.dll ./thtom/win/Tom0.2/*.o ./thtom/win/Tom0.2/tom.exe ./thtom/win/Tom0.2/stom.exe
	perl makefile.pl rmdir -q doc thTMPDIR

thmpost.h: mpost/*.mp
	make -C ./mpost

thsymbolsetlist.h: thsymbolsetlist.pl mpost/thTrans.mp
	perl thsymbolsetlist.pl
  
thtex.h: tex/*.tex
	make -C ./tex
  
update:
	make -C ./thlang update
  
thlangdata.cxx: thlang/texts.txt
	make -C ./thlang

config-debug:
	perl makeconfig.pl BUILD DEBUG
  
config-release:
	perl makeconfig.pl BUILD RELEASE

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX

# external sources
extern/getopt.o: extern/getopt.c extern/getopt.h
extern/getopt1.o: extern/getopt1.c
extern/img.o: extern/img.c extern/img.h
tri/construct.o: tri/triangulate.h tri/construct.c
tri/misc.o: tri/triangulate.h tri/misc.c
tri/monotone.o: tri/triangulate.h tri/monotone.c
tri/tri.o: tri/triangulate.h tri/tri.c

# DEPENDENCIES
th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thsymbolset.h thsymbolsetlist.h thchenc.h thchencdata.h
tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thchenc.h thchencdata.h thexpmap.h thexport.h \
  thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
  thlangdata.h thline.h
thbuffer.o: thbuffer.cxx thbuffer.h
thcdt.o: thcdt.cxx thcdt.h thcdt/geom2d.h thcdt/myMacro.h thcdt/cdt.h \
  thcdt/cdt.cpp
thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
  thmbuffer.h thchencdata.cxx therion.h thexception.h
thchencdata.o: thchencdata.cxx
thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
  thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
  thobjectsrc.h thselector.h extern/getopt.h thtmpdir.h
thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
  thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
  thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
  thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h thdb1d.h \
  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thdatareader.h
thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
  thpdfdata.h thepsparse.h thtexfonts.h
thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
  thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
  therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
  thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h \
  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h \
  thdatastation.h thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h \
  thlocale.h thscrap.h th2ddataobject.h thpoint.h thline.h tharea.h \
  thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thdb2d.h \
  thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfangle.h thtf.h \
  thtflength.h thtfpwf.h thexception.h thchenc.h thchencdata.h thsurvey.h \
  thgrade.h thdatareader.h thinput.h
thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
  thobjectname.h therion.h thobjectsrc.h thinfnan.h
thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
  thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
  thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
  thlayoutln.h thscrapen.h thscraplp.h thexception.h thchenc.h \
  thchencdata.h thsurvey.h thtfpwf.h
thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
  thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
  thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thinput.h \
  thexception.h
thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thchenc.h thchencdata.h
thdate.o: thdate.cxx thdate.h thparse.h thbuffer.h thmbuffer.h \
  thexception.h therion.h
thdb1d.o: thdb1d.cxx thdb1d.h thobjectid.h thinfnan.h thdataleg.h \
  thparse.h thbuffer.h thmbuffer.h thobjectname.h therion.h thobjectsrc.h \
  thdb3d.h thsurvey.h thdataobject.h thdatabase.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
  thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thlogfile.h \
  thsurface.h thlocale.h thinit.h thinput.h extern/lxMath.h
thdb2d00.o: thdb2d00.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h \
  thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h \
  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
  thscrapen.h thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h \
  thexception.h thdatabase.h thdataobject.h thtfangle.h thtf.h tharea.h \
  th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
  thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
  thsymbolsetlist.h thlocale.h thconfig.h thinput.h thexporter.h \
  thexport.h thselector.h
thdb2dab.o: thdb2dab.cxx thdb2dab.h thobjectname.h thmbuffer.h therion.h \
  thobjectsrc.h
thdb2dcp.o: thdb2dcp.cxx thdb2dcp.h thdb2dpt.h
thdb2d.o: thdb2d.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h thbuffer.h \
  thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \

=== thbook/Makefile ===
all:
	pdftex thbook.tex
	perl ../makefile.pl rm ./thbook.log

=== thtom/linux/Makefile ===
#DEBUG=-DDEBUG
IMLIB2=-DIMLIB2
GL12=-DGL12
#GLUT=-DGLUT
#GLEXT=-DGLEXT
#GLSGIS=-DGLSGIS
GL=$(GL12) $(GLUT) $(GLEXT) $(GLSGIS)

TK_LIBS=-ldl -lm
TK_LIB_SPEC=-ltk
TCL_LIB_SPEC=-ltcl
X_LIBS=-L/usr/lib/ -L/usr/X11R6/lib -lX11 -lXext -lXmu -lXt -lXi -lSM -lICE
GL_LIBS=-lGL -lGLU
ifdef GLUT
GL_LIBS:=$(GL_LIBS) -lglut
endif

CC=gcc -Wall -s $(GL) -I/usr/X11R6/include $(IMLIB2)
ifdef DEBUG
CC:=$(CC) $(DEBUG) -g
endif

SRC=../src

OUT=Tom0.2

all: tom
	rm $(OUT)/*.o

# $(OUT)/tom
tom: $(OUT)/libtom.so

stom: $(OUT) $(OBJECTS) $(OUT)/stom

libtom: $(OUT) $(OUT)/libtom.so

OBJECTS=$(OUT)/tom.o $(OUT)/gl.o $(OUT)/glData.o\
	$(OUT)/glBuffer.o $(OUT)/glRaster.o $(OUT)/glName.o\
	$(OUT)/glLight.o $(OUT)/glMaterial.o $(OUT)/glMatrix.o\
	$(OUT)/glMesh.o $(OUT)/glVertex.o $(OUT)/glNormal.o\
	$(OUT)/glColor.o $(OUT)/glRect.o $(OUT)/glTex.o\
	$(OUT)/glList.o $(OUT)/glState.o \
	$(OUT)/glu.o $(OUT)/glut.o
ifdef IMLIB2
OBJECTS:=$(OBJECTS) $(OUT)/imlib2.o
endif

$(OUT):
	mkdir -p $(OUT)

$(OUT)/tom: $(OUT)/tkAppInit.o $(OBJECTS)
	$(CC) -o $@ $(OUT)/tkAppInit.o $(OUT)/libtom.so $(X_LIBS) $(GL_LIBS)\
		$(TK_LIB_SPEC) $(TCL_LIB_SPEC) $(TK_LIBS)

$(OUT)/stom: $(OUT)/tkAppInit.o $(OBJECTS)
	$(CC) -o $@ $(OUT)/tkAppInit.o $(OBJECTS) $(X_LIBS) $(GL_LIBS)\
		$(TK_LIB_SPEC) $(TCL_LIB_SPEC) $(TK_LIBS)

$(OUT)/libtom.so: $(OBJECTS)
	$(CC) -shared -o $@ $(OBJECTS) $(X_LIBS) $(GL_LIBS) $(TK_LIBS)

$(OUT)/%.o : $(SRC)/%.c
	$(CC) -c -o $@ $<

clean:
	rm -f $(OUT)/*.o
	rm -f $(OUT)/*.so
	rm -f $(OUT)/tom
	rm -f $(OUT)/stom
	find .. -name '*~' -exec rm -f '{}' ';'

=== thtom/utils/Makefile ===
mktex: mktex.c
	cc mktex.c -g -o mktex `imlib2-config --cflags` `imlib2-config --libs`

=== thtom/win/Makefile ===
# Under MSYS: make and make install tcltk
# than make

LIBS=-L/usr/local/lib -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lodbc32 -lodbccp32 -ltcl84 -ltk84 -lopengl32 -lglu32 
TK_LIBS=-ltk84 -ltcl84
CC=gcc -Wall -s -I/usr/local/include -DWIN32 -DMINGW
SRC=../src
OUT=Tom0.2

all: tom
	rm $(OUT)/*.o

tom: $(OUT)/libtom.dll

stom: $(OUT) $(OBJECTS) $(OUT)/stom

libtom: $(OUT)/libtom.dll

OBJECTS=$(OUT)/tom.o $(OUT)/gl.o $(OUT)/glData.o\
	$(OUT)/glBuffer.o $(OUT)/glRaster.o $(OUT)/glName.o\
	$(OUT)/glLight.o $(OUT)/glMaterial.o $(OUT)/glMatrix.o\
	$(OUT)/glMesh.o $(OUT)/glVertex.o $(OUT)/glNormal.o\
	$(OUT)/glColor.o $(OUT)/glRect.o $(OUT)/glTex.o\
	$(OUT)/glList.o $(OUT)/glState.o\
	$(OUT)/glu.o $(OUT)/glut.o
ifdef IMLIB2
OBJECTS:=$(OBJECTS) $(OUT)/imlib2.o
endif

$(OUT):
	mkdir $(OUT)

$(OUT)/tom: $(OUT)/tkAppInit.o $(OBJECTS)
	$(CC) -o $@ $(OUT)/tkAppInit.o $(OUT)/libtom.dll $(LIBS) \
		$(TK_LIB_SPEC) $(TCL_LIB_SPEC) $(TK_LIBS)

$(OUT)/stom: $(OUT)/tkAppInit.o $(OBJECTS)
	$(CC) -o $@ $(OUT)/tkAppInit.o $(OBJECTS) $(X_LIBS) $(GL_LIBS)\
		$(TK_LIB_SPEC) $(TCL_LIB_SPEC) $(TK_LIBS)

$(OUT)/libtom.dll: $(OBJECTS)
	$(CC) -shared -o $@ $(OBJECTS) $(LIBS) $(TK_LIBS)

$(OUT)/%.o : $(SRC)/%.c
	$(CC) -c -o $@ $<

clean:
	rm -f $(OUT)/*.o 
	rm -f $(OUT)/*.dll 
	rm -f $(OUT)/tom.exe
	rm -f $(OUT)/stom.exe
	find .. -name '*~' -exec rm -f '{}' ';'

=== debian/changelog ===
therion (0.3.9-2) unstable; urgency=low

  * Fixes for 64-bit machines

 -- Wookey <wookey@debian.org>  Sat, 17 Dec 2005 21:57:25 +0000

therion (0.3.9-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Sun, 18 Sep 2005 02:20:26 +0100

therion (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Closes: #295740: therion_0.3.5-1_arm: FTBFS: build-dep on virtual
    package makes buildd go screwy

 -- Wookey <wookey@survex.com>  Sun,  6 Feb 2005 02:49:37 +0000

therion (0.3.5-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Tue, 21 Dec 2004 01:49:47 +0000

therion (0.3.3-2) unstable; urgency=low

  * Included missing dependency on tetex-extra

 -- Wookey <wookey@survex.com>  Wed, 14 Oct 2004 22:49:40 +0100

therion (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Wed, 15 Sep 2004 22:54:42 +0100

therion (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Fri, 23 Jul 2004 16:35:48 +0100

therion (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Tue,  4 May 2004 17:04:37 +0100

=== debian/control ===
Source: therion
Section: science
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>> 3.0.0), perl (>= 5.5), docbook-to-man, tetex-bin, tcl8.4 | tclsh
Standards-Version: 3.6.1

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, tcl8.4 | wish, tetex-bin, tetex-extra, bwidget
Recommends: pdf-viewer
Suggests: survex-aven 
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are done
 over scans and can be distorted to fit the centreline data. Output is in single
 plan or atlas style in PDF files. All data is stored in text files and a Tcl/Tk 
 map editor (xtherion) is provided to aid in the creation of the files. It is 
 compatible with Survex and uses it for the centreline processing. TeX and 
 metapost are used to generate the images.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	/usr/bin/docbook-to-man debian/manthconvert.sgml > thconvert.1
	$(MAKE) doc
	#we should generate html here too if possible

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	cd thbook && rm -f thbook.pdf thbook.log

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/therion.
#this stuff no longer needed from 0.2.14	
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/metapost/therion
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/tex/therion
#	install -p -o root -g root -m 644 mpost/*.mp debian/therion/usr/share/texmf/metapost/therion/
#	install -p -o root -g root -m 644 tex/*.tex debian/therion/usr/share/texmf/tex/therion/

	dh_install therion  usr/bin
	dh_install xtherion/xtherion usr/bin
	install -p -o root -g root -m 755 makeconvert.pl debian/therion/usr/bin/thconvert

	dh_install lib/grades.th usr/share/therion
	dh_install lib/layouts.thcfg usr/share/therion
	dh_install lib/therion.th usr/share/therion

	dh_install therion.ini etc
	dh_install xtherion/xtherion.ini etc
	
	dh_installdocs 
	dh_installexamples tests thconfig therion.ini
	dh_installmenu
	dh_installmime
	dh_installman
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress -X.pdf -X.th -X.th2
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

get-orig-source: 
	wget -nc -nd http://therion.speleo.sk/download.php?package=therion

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site				Pattern			Version	Script
version=2
http://therion.speleo.sk/download.php	.*/therion-(.*)\.tar\.gz

## therion 0.3.10

=== Makefile ===
--- 
+++ 
@@ -12,11 +12,11 @@
   thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
   thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
   thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
-  thpoint.o thline.o tharea.o \
+  thpoint.o thline.o tharea.o thlegenddata.o thmpost.o thsymbolsets.o \
   thjoin.o thmap.o thexpmap.o thlayoutln.o \
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o \
-  extern/lxMath.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
+  extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
   therion.o
 
 # PLATFORM CONFIG
@@ -62,20 +62,14 @@
 ##LDBFLAGS = $(LDPFLAGS)
 
 # BUILD OXYGEN
-##CCBFLAGS = -O2
-##CXXBFLAGS = -O2
+CCBFLAGS = -O2
+CXXBFLAGS = -O2
+LDBFLAGS = $(LDPFLAGS)
+
+# BUILD RELEASE
+##CCBFLAGS = 
+##CXXBFLAGS = 
 ##LDBFLAGS = $(LDPFLAGS)
-
-# BUILD RELEASE
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))          
-CCBFLAGS = -O0          
-CXXBFLAGS = -O0          
-LDBFLAGS =          
-else          
-CCBFLAGS =          
-CXXBFLAGS =          
-LDBFLAGS =          
-endif    
 
 # BUILD DEBUG
 ##CCBFLAGS = -ggdb
@@ -159,17 +153,18 @@
 	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~
 	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
 	perl makefile.pl rm -q extern/*.o extern/*~
+	perl makefile.pl rm -q symbols.html
 	perl makefile.pl rm -q tri/*.o tri/*~
 	perl makefile.pl rm -q tests/*~
 	perl makefile.pl rm -q tex/*~
 	perl makefile.pl rm -q mpost/*~
-	perl makefile.pl rm -q core
+	perl makefile.pl rm -q core symbols.xhtml
 	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
-	perl makefile.pl rm -q cave.3d cave.thm cave.pdf cave.sql cave.svg therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg
+	perl makefile.pl rm -q cave.3d cave.thm cave.pdf cave.sql cave.xhtml therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg cave.tlx
 	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
 	perl makefile.pl rm -q ./thtom/linux/Tom0.2/*.so ./thtom/linux/Tom0.2/*.o ./thtom/linux/Tom0.2/tom ./thtom/linux/Tom0.2/stom
 	perl makefile.pl rm -q ./thtom/win/Tom0.2/*.dll ./thtom/win/Tom0.2/*.o ./thtom/win/Tom0.2/tom.exe ./thtom/win/Tom0.2/stom.exe
-	perl makefile.pl rmdir -q doc thTMPDIR
+	perl makefile.pl rmdir -q doc thTMPDIR symbols
 
 thmpost.h: mpost/*.mp
 	make -C ./mpost
@@ -220,16 +215,16 @@
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thsymbolset.h thsymbolsetlist.h thchenc.h thchencdata.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thchenc.h thchencdata.h thexpmap.h thexport.h \
   thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
   thlangdata.h thline.h
@@ -241,75 +236,75 @@
 thchencdata.o: thchencdata.cxx
 thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
   thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
-  thobjectsrc.h thselector.h extern/getopt.h thtmpdir.h
+  thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
 thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
   thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
   thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
   thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thdatareader.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
   thpdfdata.h thepsparse.h thtexfonts.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
   thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
   therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h \
-  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h \
-  thdatastation.h thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h \
-  thlocale.h thscrap.h th2ddataobject.h thpoint.h thline.h tharea.h \
-  thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
+  thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h \
+  thendsurvey.h thexception.h thdata.h thtfangle.h thtf.h thtflength.h \
+  thcmdline.h thdatastation.h thgrade.h thlayout.h thsymbolset.h \
+  thsymbolsetlist.h thlocale.h thscrap.h th2ddataobject.h thpoint.h \
+  thline.h tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
 thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
   thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
   thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thdb2d.h \
-  thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfangle.h thtf.h \
-  thtflength.h thtfpwf.h thexception.h thchenc.h thchencdata.h thsurvey.h \
-  thgrade.h thdatareader.h thinput.h
+  thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h \
+  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
+  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfangle.h \
+  thtf.h thtflength.h thtfpwf.h thexception.h thchenc.h thchencdata.h \
+  thsurvey.h thgrade.h thdatareader.h thinput.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
   thobjectname.h therion.h thobjectsrc.h thinfnan.h
 thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
   thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
   thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thexception.h thchenc.h \
-  thchencdata.h thsurvey.h thtfpwf.h
+  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thexception.h \
+  thchenc.h thchencdata.h thsurvey.h thtfpwf.h
 thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
   thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
   thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thinput.h \
-  thexception.h
+  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thinput.h thexception.h
 thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thchenc.h thchencdata.h
 thdate.o: thdate.cxx thdate.h thparse.h thbuffer.h thmbuffer.h \
   thexception.h therion.h
 thdb1d.o: thdb1d.cxx thdb1d.h thobjectid.h thinfnan.h thdataleg.h \
   thparse.h thbuffer.h thmbuffer.h thobjectname.h therion.h thobjectsrc.h \
   thdb3d.h thsurvey.h thdataobject.h thdatabase.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
+  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
   thexception.h thdata.h thtfangle.h thtf.h thtflength.h thlogfile.h \
   thsurface.h thlocale.h thinit.h thinput.h extern/lxMath.h
 thdb2d00.o: thdb2d00.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h \
-  thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h \
-  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
-  thscrapen.h thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h \
-  thexception.h thdatabase.h thdataobject.h thtfangle.h thtf.h tharea.h \
-  th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
+  thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thdb1d.h thobjectid.h thdataleg.h \
+  thdb3d.h thexception.h thdatabase.h thdataobject.h thtfangle.h thtf.h \
+  tharea.h th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
   thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
   thsymbolsetlist.h thlocale.h thconfig.h thinput.h thexporter.h \
   thexport.h thselector.h
@@ -317,4 +312,3 @@
   thobjectsrc.h
 thdb2dcp.o: thdb2dcp.cxx thdb2dcp.h thdb2dpt.h
 thdb2d.o: thdb2d.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h thbuffer.h \
-  thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
